Subject: Re: errors coming from building from scratch
From: "Gerrit P. Haase" <[email-masked]>
To: "Edward S. Peschko" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Wed, 7 Apr 2004 15:57:59 +0200

Hi Edward,

>> Perhaps I'm missing something obvious but it seems to me that the real
>> question is why automake is installing things with the incorrect 
>> permissions for you.  Is there a reason you're not focused on this issue?

> Well, as a quick workaround I am focused on this issue (I install my own hacked
> version of automake) but there are two reasons why I think 777 perms is a bad policy
> to follow:

>     1) I think its going to be a hard issue to sell automake on the necessity
>        of making cygwin behave totally different from any other environment,
>        and make a kludge to have arguments to install for cygwin be 777
>        by default.

Why?  Different platforms always need their own special way to get
things running. BTW, the default setting for executables should be 755
as it is on Linux too, in the Windows world, also shared libs need this
permission.

>     2) down-the-stream packages don't necessarily use automake - they've
>        already got generated Makefile.in or configure scripts which have 644
>        hardcoded. Asking users to get a new version of automake and regenning
>        things using automake is too much to ask IMO.

I'm not sure if automake includes code for managing DLL installation at
all, this is usually done via libtool.

>     3) imo - philosophically its just wrong to require execute permissions
>        for the libraries. the program links with the libraries to use the
>        libraries functionality, it doesn't 'execute the library'.

It is this way on Windows, shared libraries must be executable.

> Its not a question of whether or not I can hack around stuff, I can and will,
> its a question of how clean people want the building process to be, and how
> useful the tools are. As well as how close they mimic other unixes.

The tools should just work.  If they do things wrong, then the tools
need to be fixed.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/